Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1258167 - when repurposing and reformatting a partition, partition type GUID isn't correctly set
Summary: when repurposing and reformatting a partition, partition type GUID isn't corr...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-29 20:25 UTC by Chris Murphy
Modified: 2016-12-20 14:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Pointer to object setting GUID did not contain actual value. When destroying partition format, value was not being reset. Consequence: When reformatting partition, old GUID remained. Fix: Fixed pointer behavior to contain actual value. Added code to clear GUID value when destroying format. Result: When reformatting partition, partition type GUID is now set correctly.
Clone Of:
Environment:
Last Closed: 2016-12-20 14:31:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
storage.log (deleted)
2015-08-29 20:25 UTC, Chris Murphy
no flags Details
anaconda.log (deleted)
2015-08-29 20:26 UTC, Chris Murphy
no flags Details
program.log (deleted)
2015-08-29 20:26 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2015-08-29 20:25:05 UTC
Description of problem: And existing swap partition is repurposed as a boot partition by reformatting it as ext4. The partition type GUID remains linux swap.


Version-Release number of selected component (if applicable):
python-blivet 1.12.1-1
anaconda 23.19.1-1

How reproducible:
Always


Steps to Reproduce:
1. In custom partitioning, choose an existing swap partition, reformat as ext4 and set the mount point as /boot
2. Install and reboot

Actual results:

The boot partition continues to have a partition type GUID of 0657FD6D-A4AB-43C4-84E5-0933C84B4F4F (Linux swap).


Expected results:

Partition type GUID should be changed to 0FC63DAF-8483-4772-8E79-3D69D8477DE4 (Linux filesystem)


Additional info:

Comment 1 Chris Murphy 2015-08-29 20:25:50 UTC
Created attachment 1068318 [details]
storage.log

Comment 2 Chris Murphy 2015-08-29 20:26:39 UTC
Created attachment 1068319 [details]
anaconda.log

Comment 3 Chris Murphy 2015-08-29 20:26:49 UTC
Created attachment 1068320 [details]
program.log

Comment 4 Fedora Admin XMLRPC Client 2015-09-28 20:27:05 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 David Lehman 2016-07-27 18:03:15 UTC
There are two bugs here:
1. we do not unset the corresponding flag(s) when removing formatting (eg: swap)
2. the code we have that should set the GUID for ext4 apparently doesn't work

The first is fairly straightforward. The second will require some investigation to see where the failure is happening.

Comment 6 Fedora Update System 2016-09-14 17:27:54 UTC
python-blivet-2.1.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a6fff27e83

Comment 7 Fedora Update System 2016-09-16 01:25:15 UTC
python-blivet-2.1.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a6fff27e83

Comment 8 Fedora Update System 2016-09-20 18:57:38 UTC
python-blivet-2.1.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d8691b1b14

Comment 9 Fedora Update System 2016-09-22 09:56:50 UTC
python-blivet-2.1.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d8691b1b14

Comment 10 Fedora End Of Life 2016-11-24 12:24:50 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2016-12-20 14:31:14 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.